OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GLU.Errors

Description

This module corresponds to section 2.5 (GL Errors) of the OpenGL 2.1 specs and chapter 8 (Errors) of the GLU specs, offering a generalized view of errors in GL and GLU.

Synopsis

- data Error = Error ErrorCategory String
- data ErrorCategory
  - = InvalidEnum
  - | InvalidValue
  - | InvalidOperation
  - | InvalidFramebufferOperation
  - | OutOfMemory
  - | StackOverflow
  - | StackUnderflow
  - | TableTooLarge
  - | TesselatorError
  - | NURBSError
- errors :: GettableStateVar [Error]

# Documentation

data Error

GL/GLU errors consist of a general error category and a description of what went wrong.

Constructors

Error ErrorCategory String |

Instances

Eq Error |
Ord Error |
Show Error |

data ErrorCategory

General GL/GLU error categories

Constructors

InvalidEnum |
InvalidValue |
InvalidOperation |
InvalidFramebufferOperation |
OutOfMemory |
StackOverflow |
StackUnderflow |
TableTooLarge |
TesselatorError |
NURBSError |

Instances

Eq ErrorCategory |
Ord ErrorCategory |
Show ErrorCategory |

errors :: GettableStateVar [Error]

When an error occurs, it is recorded in this state variable and no further errors are recorded. Reading `errors` returns the currently recorded errors (there may be more than one due to a possibly distributed implementation) and resets the state variable to `[]`, re-enabling the recording of future errors. The value `[]` means that there has been no detectable error since the last time `errors` was read, or since the GL was initialized.